Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.repository
Class LanguageDao

    java.lang.Object
      org.springframework.dao.support.DaoSupport
          org.springframework.orm.hibernate3.support.HibernateDaoSupport
              com.gisgraphy.domain.repository.GenericDao<Language,Long>
                  com.gisgraphy.domain.repository.LanguageDao

All Implemented Interfaces:
  IDao<Language,Long>, ILanguageDao, org.springframework.beans.factory.InitializingBean

    @Repository
    public class LanguageDao

extends GenericDao<Language,Long>
implements ILanguageDao

Interface of data access object for `Language`

Author:
  David Masclet

Field Summary

Fields inherited from class com.gisgraphy.domain.repository.GenericDao
`persistentClass`

Fields inherited from class org.springframework.dao.support.DaoSupport
`logger`

Constructor Summary
`LanguageDao()` Default constructore

Method Summary
`Language` | `getByIso639Alpha2Code(String iso639Alpha2LanguageCode)` Find by ISO 639 Alpha 2 (2-letter) code
`Language` | `getByIso639Alpha3Code(String iso639Alpha3Code)` Find by ISO 639 Alpha 3 (3-letter) code
`Language` | `getByIso639Code(String iso639LanguageCode)`

Methods inherited from class com.gisgraphy.domain.repository.GenericDao
`count, deleteAll, deleteAll, exists, flushAndClear, get, getAll, getAllPaginate, getPersistenceClass, remove, save, setFlushMode`

Methods inherited from class org.springframework.orm.hibernate3.support.HibernateDaoSupport
`checkDaoConfig, convertHibernateAccessException, createHibernateTemplate, getHibernateTemplate, getSession, getSession, getSessionFactory, releaseSession, setHibernateTemplate, setSessionFactory`

Methods inherited from class org.springframework.dao.support.DaoSupport
`afterPropertiesSet, initDao`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gisgraphy.domain.repository.IDao
`count, deleteAll, deleteAll, exists, flushAndClear, get, getAll, getAllPaginate, getPersistenceClass, remove, save, setFlushMode`

Constructor Detail

### LanguageDao

    public LanguageDao()

  Default constructore

Method Detail

### getByIso639Alpha2Code

    public Language getByIso639Alpha2Code(String iso639Alpha2LanguageCode)

  Description copied from interface: `ILanguageDao`
  Find by ISO 639 Alpha 2 (2-letter) code

  Specified by:
    `getByIso639Alpha2Code` in interface `ILanguageDao`
  Parameters:
    `iso639Alpha2LanguageCode` - The ISO 639 Alpha 2 (2-letter) code
  Returns:
    The language or null if not found

### getByIso639Alpha3Code

    public Language getByIso639Alpha3Code(String iso639Alpha3Code)

  Description copied from interface: `ILanguageDao`
  Find by ISO 639 Alpha 3 (3-letter) code

  Specified by:
    `getByIso639Alpha3Code` in interface `ILanguageDao`
  Parameters:
    `iso639Alpha3Code` - ISO 639 Alpha 3 (3-letter) code
  Returns:
    The Language or null if not found

### getByIso639Code

    public Language getByIso639Code(String iso639LanguageCode)

  Specified by:
    `getByIso639Code` in interface `ILanguageDao`
  Parameters:
    `iso639LanguageCode` - The alpha-2 or 3 language code
  Returns:
    the language according the length of the specified iso639LanguageCode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.